streamWrapper::stream_metadata
streamWrapper::stream_read
streamWrapper
PHP Manual

# streamWrapper::stream_open

(PHP 4 >= 4.3.2, PHP 5)

streamWrapper::stream_open — Opens file or URL

### Description

public bool streamWrapper::stream_open ( string `$path` , string `$mode` , int `$options` , string `&$opened_path` )

This method is called immediately after the wrapper is initialized (f.e. by fopen() and file_get_contents()).

### Parameters

`path`

  Specifies the URL that was passed to the original function.

  > Note:

  > The URL can be broken apart with parse_url(). Note that only URLs delimited by :// are supported. : and :/ while technically valid URLs, are not.

`mode`

  The mode used to open the file, as detailed for fopen().

  > Note:

  > Remember to check if the `mode` is valid for the `path` requested.

`options`

  Holds additional flags set by the streams API. It can hold one or more of the following values OR'd together.

  Flag | Description
  --- | ---
  `STREAM_USE_PATH` | If `path` is relative, search for the resource using the include_path.
  `STREAM_REPORT_ERRORS` | If this flag is set, you are responsible for raising errors using trigger_error() during opening of the stream. If this flag is not set, you should not raise any errors.

`opened_path`

  If the `path` is opened successfully, and `STREAM_USE_PATH` is set in `options`, `opened_path` should be set to the full path of the file/resource that was actually opened.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Emits `E_WARNING` if call to this method fails (i.e. not implemented).

### Notes

> Note:

> The streamWrapper::$context property is updated if a valid context is passed to the caller function.

### See Also

- fopen() - Opens file or URL
- parse_url() - Parse a URL and return its components

streamWrapper::stream_metadata
streamWrapper::stream_read
streamWrapper
PHP Manual